/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2017 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

BEGIN
    
  --
  -- Register all items in the Registered Views Menu
  -- as html5 pages.
  --
  -- This also upgrades the page icons, menus and
  -- autosetup
  -- 
  xxas_page_pkg.registered_views_to_pages
    (xxas_emp_menu_pkg.menu_name_to_id
      (fnd_profile.value('XXAS_EMP_REG_VIEWS_MENU')));
     
  --
  -- Create grants to support html5 pages for various
  -- flex modules
  --
  xxas_page_pkg.upgrade_html5_grants;
    
END;
/
COMMIT;
EXIT;
